MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023959Open CASCADE[OCCT] OCCT:Visualizationpublic2013-05-13 15:442014-01-22 14:27
Reportersan 
Assigned Toaba 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023959: Getting rid of generic classes in Visualization
DescriptionAs one of steps related to WOK removal, it is necessary to revise generic CDL classes and turn them into non-CDL C++ classes.

If a class is used only once, it should become a regular C++ class. If a class is re-used in several places, the option to make it a C++ template should be considered.

It is proposed to start from the visualization packages (TKV3d toolkit - actually only Prs3d package is concerned, it contains 16 generic classes as of today).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024120closedbugmaster Move out StdPrs_WFShape implementation to StdPrs_WFShape.cxx 
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0024438)
aba (developer)
2013-05-20 16:02

The git branch CR23959 is ready to be reviewed.

Generic classes replaced with template classes:
1) Prs3d_WFShape,
2) Prs3d_Point

Classes in StdPrs replaced with simple classes (as they implement generic classes from Prs3d):
1) StdPrs_WFRestrictedFace (implements Prs3d_WFRestrictedFace generic class)
2) StdPrs_HLRShape (implements Prs3d_HLRShape generic class)
3) DsgPrs_DatumPrs (implements Prs3d_Datum genetic class)

Classes deleted as empty and unused:
1) Prs3d_SectionShapeTool
2) Prs3d_PointTool
3) Prs3d_LineTool
4) Prs3d_HLRShapeTool
5) Prs3d_VectorTool
6) Prs3d_DatumTool
7) Prs3d_RestrictionTool

Classes removed as unused:
1) Prs3d_CurvePresentation
2) Prs3d_Vector
3) Prs3d_Line

Classes removed as unused (this functionality exists in StdPrs already):
1) Prs3d_WFDeflectionRestrictedFace

Dear san, please review.
(0024496)
san (developer)
2013-05-23 16:19

Branch CR23959 reviewed with the following remark:

- src/StdPrs/StdPrs_WFDeflectionShape.hxx, src/StdPrs/StdPrs_WFShape.hxx, src/StdPrs/StdPrs_Point.hxx, src/StdPrs/StdPrs_Vertex.hxx: typedef is preferred over #define, it provides type information to the compiler so the latter can produce more meaningful messages.
(0024520)
aba (developer)
2013-05-27 12:35

In files:
src/StdPrs/StdPrs_WFDeflectionShape.hxx,
src/StdPrs/StdPrs_WFShape.hxx,
src/StdPrs/StdPrs_Point.hxx,
src/StdPrs/StdPrs_Vertex.hxx

define directive was changed to typedef.

Dear san, please review.
(0024550)
san (developer)
2013-05-29 18:15

Branch CR23959 reviewed without remarks, ready for testing.
(0024576)
mkv (tester)
2013-05-31 10:42

Dear BugMaster,

Branch CR23959 was compiled on Linux platform.
There are following extraction errors:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23959/job/mnt-CR23959-master_prepare_occt_linux/1/parsed_console/? [^]
(0024580)
mkv (tester)
2013-05-31 12:35

Dear BugMaster,
Branch CR23959 was recompiled on Linux platform.
Extraction step is good now.
Branch CR23959 will be compiled and tested now.
(0024587)
mkv (tester)
2013-05-31 16:47

Dear BugMaster,

Branch CR23959 was compiled on Linux platform.
There are following compilation errors:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23959/job/mnt-CR23959-master_build_occt_linux/1/parsed_console/? [^]
(0024601)
aba (developer)
2013-06-03 13:14

Compilation errors were corrected.
The git branch CR23959 was updated.
Dear san, please review.
(0024619)
san (developer)
2013-06-03 22:00

Branch CR23959 reviewed without remarks, ready for testing.
(0024637)
mkv (tester)
2013-06-05 14:41

Dear BugMaster,

Branch CR23959 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d7dbd840c02afa1d707272a221525a43d3df3f8a

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR23959-master-occt/Windows-32-VC9/bugs/vis/bug23747_1.html [^]
bugs vis(004) bug23747_1 - BAD.

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366497096 / 366248232
Total CPU difference: 45936.57000000106 / 41752.48000000117

Testing on Windows:
Total MEMORY difference: 415872024 / 417160992
Total CPU difference: 43948.4375 / 41088.75

There are not differences in images found by testdiff.
(0024695)
mkv (tester)
2013-06-07 14:24

Dear BugMaster,

Test case bugs/vis(004)/bug23747_1 is not stable, it is OK "by hands".
Branch CR23959 is tested.
(0024697)
aba (developer)
2013-06-07 15:01

Dear BugMaster,
Branch CR23959 was updated.
In DsgPrs_DatumPrs incorrect marker drawing in the origin of trihedron was fixed.
Could you please test it once more?
(0024746)
mkv (tester)
2013-06-13 13:43

Dear BugMaster,

Branch CR23959 was compiled on Linux platform.
There are following compilation error:
In file included from ../../../../src/DsgPrs/DsgPrs_DatumPrs.cxx:18:


../../../../inc/DsgPrs_DatumPrs.hxx:32: error: ISO C++ forbids declaration of ‘gp_Ax2’ with no type

../../../../inc/DsgPrs_DatumPrs.hxx:32: error: expected ‘,’ or ‘...’ before ‘&’ token

../../../../src/DsgPrs/DsgPrs_DatumPrs.cxx:31: error: prototype for ‘void DsgPrs_DatumPrs::Add(const Handle_Prs3d_Presentation&, const gp_Ax2&, const Handle_Prs3d_Drawer&)’ does not match any in class ‘DsgPrs_DatumPrs’

../../../../inc/DsgPrs_DatumPrs.hxx:30: error: candidate is: static void DsgPrs_DatumPrs::Add(const Handle_Prs3d_Presentation&, int)


make[2]: *** [DsgPrs_DatumPrs.lo] Error 1
(0024750)
aba (developer)
2013-06-13 17:24
edited on: 2013-06-13 17:24

Compilation errors were corrected. The git branch was updated.

Dear san, please review.

(0024757)
san (developer)
2013-06-14 14:48

Branch CR23959 reviewed without remarks, ready for testing.
(0024779)
mkv (tester)
2013-06-18 10:38

Dear BugMaster,

Branch CR23959 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366580304 / 364462604
Total CPU difference: 43905.89000000086 / 41174.07000000086

Testing on Windows:
Total MEMORY difference: 414606788 / 413497168
Total CPU difference: 36272.75 / 34944.171875

There are not differences in images found by testdiff.

- Related Changesets
occt: master d7223c76
Timestamp: 2013-06-20 11:28:40
Author: aba
Details ] Diff ]
0023959: Getting rid of generic classes in Visualization: generic classes were removed from Prs3d

Errors corrections; DsgPrs_DatumTool class was removed as unused
mod - src/DsgPrs/DsgPrs.cdl Diff ] File ]
add - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff ] File ]
rm - src/DsgPrs/DsgPrs_DatumTool.cdl Diff ] File ]
add - src/DsgPrs/FILES Diff ] File ]
mod - src/Prs3d/FILES Diff ] File ]
mod - src/Prs3d/Prs3d.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_CurvePresentation.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Datum.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Datum.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_DatumTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_HLRShape.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_HLRShape.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_HLRShapeTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Line.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Line.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_LineTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_LineTool.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_Point.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Point.gxx Diff ] File ]
add - src/Prs3d/Prs3d_Point.hxx Diff ] File ]
rm - src/Prs3d/Prs3d_PointTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_PointTool.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_RestrictionTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_RestrictionTool.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_SectionShapeTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_SectionShapeTool.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_Vector.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_Vector.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_VectorTool.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_VectorTool.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_WFDeflectionRestrictedFace.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_WFDeflectionRestrictedFace.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_WFRestrictedFace.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_WFRestrictedFace.gxx Diff ] File ]
rm - src/Prs3d/Prs3d_WFShape.cdl Diff ] File ]
rm - src/Prs3d/Prs3d_WFShape.gxx Diff ] File ]
add - src/Prs3d/Prs3d_WFShape.hxx Diff ] File ]
add - src/StdPrs/FILES Diff ] File ]
mod - src/StdPrs/StdPrs.cdl Diff ] File ]
add - src/StdPrs/StdPrs_HLRShape.cxx Diff ] File ]
add - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff ] File ]
add - src/StdPrs/StdPrs_WFRestrictedFace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-13 15:44 san New Issue
2013-05-13 15:44 san Assigned To => aba
2013-05-13 15:44 san Status new => assigned
2013-05-15 12:31 abv Summary Getting rid of generic classes => Getting rid of generic classes in Visualization
2013-05-20 16:02 aba Note Added: 0024438
2013-05-20 16:02 aba Assigned To aba => san
2013-05-20 16:02 aba Status assigned => resolved
2013-05-23 16:19 san Note Added: 0024496
2013-05-23 16:19 san Assigned To san => aba
2013-05-23 16:19 san Status resolved => assigned
2013-05-27 12:35 aba Note Added: 0024520
2013-05-27 12:35 aba Assigned To aba => san
2013-05-27 12:35 aba Status assigned => resolved
2013-05-27 13:46 aba Relationship added related to 0023997
2013-05-29 18:02 abv Relationship added child of 0024002
2013-05-29 18:15 san Note Added: 0024550
2013-05-29 18:15 san Assigned To san => bugmaster
2013-05-29 18:15 san Status resolved => reviewed
2013-05-30 15:32 bugmaster Assigned To bugmaster => mkv
2013-05-31 10:42 mkv Note Added: 0024576
2013-05-31 10:43 mkv Test case number => Not needed
2013-05-31 10:43 mkv Assigned To mkv => aba
2013-05-31 10:43 mkv Status reviewed => assigned
2013-05-31 12:12 aba Assigned To aba => mkv
2013-05-31 12:35 mkv Note Added: 0024580
2013-05-31 12:35 mkv Status assigned => resolved
2013-05-31 12:36 mkv Status resolved => reviewed
2013-05-31 16:47 mkv Note Added: 0024587
2013-05-31 16:47 mkv Assigned To mkv => aba
2013-05-31 16:47 mkv Status reviewed => assigned
2013-06-03 13:14 aba Note Added: 0024601
2013-06-03 13:14 aba Assigned To aba => san
2013-06-03 13:14 aba Status assigned => resolved
2013-06-03 22:00 san Note Added: 0024619
2013-06-03 22:00 san Assigned To san => bugmaster
2013-06-03 22:00 san Status resolved => reviewed
2013-06-05 14:41 mkv Note Added: 0024637
2013-06-05 14:42 mkv Assigned To bugmaster => aba
2013-06-05 14:42 mkv Status reviewed => assigned
2013-06-07 14:24 mkv Note Added: 0024695
2013-06-07 14:25 mkv Assigned To aba => bugmaster
2013-06-07 14:25 mkv Status assigned => resolved
2013-06-07 14:25 mkv Status resolved => reviewed
2013-06-07 14:25 mkv Status reviewed => tested
2013-06-07 15:01 aba Note Added: 0024697
2013-06-07 15:01 aba Status tested => feedback
2013-06-13 11:30 bugmaster Assigned To bugmaster => mkv
2013-06-13 11:30 bugmaster Status feedback => reviewed
2013-06-13 13:43 mkv Note Added: 0024746
2013-06-13 13:44 mkv Assigned To mkv => aba
2013-06-13 13:44 mkv Status reviewed => assigned
2013-06-13 17:24 aba Note Added: 0024750
2013-06-13 17:24 aba Assigned To aba => san
2013-06-13 17:24 aba Status assigned => resolved
2013-06-13 17:24 aba Note Edited: 0024750 View Revisions
2013-06-14 14:48 san Note Added: 0024757
2013-06-14 14:48 san Assigned To san => bugmaster
2013-06-14 14:48 san Status resolved => reviewed
2013-06-17 10:44 mkv Assigned To bugmaster => mkv
2013-06-18 10:38 mkv Note Added: 0024779
2013-06-18 10:39 mkv Assigned To mkv => bugmaster
2013-06-18 10:39 mkv Status reviewed => tested
2013-06-21 09:52 aba Changeset attached => occt master d7223c76
2013-06-21 09:52 aba Assigned To bugmaster => aba
2013-06-21 09:52 aba Status tested => verified
2013-06-21 09:52 aba Resolution open => fixed
2013-08-21 11:34 kgv Relationship added parent of 0024120
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0
2014-01-22 14:27 abv Relationship deleted related to 0023997
2014-01-22 14:27 abv Relationship deleted child of 0024002
2014-01-22 14:27 abv Relationship added child of 0024487


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker